Bug 1770360 (CVE-2019-18679) - CVE-2019-18679 squid: Information Disclosure issue in HTTP Digest Authentication
Summary: CVE-2019-18679 squid: Information Disclosure issue in HTTP Digest Authentication
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-18679
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1770361 1771282 1771283
Blocks: 1770363
TreeView+ depends on / blocked
 
Reported: 2019-11-08 19:52 UTC by Pedro Sampaio
Modified: 2020-11-04 03:31 UTC (History)
5 users (show)

Fixed In Version: squid 4.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 02:23:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4743 None None None 2020-11-04 03:31:21 UTC

Description Pedro Sampaio 2019-11-08 19:52:57 UTC
Due to incorrect data management Squid is vulnerable to a information disclosure when processing HTTP Digest Authentication.

References:

http://www.squid-cache.org/Advisories/SQUID-2019_11.txt

Comment 1 Pedro Sampaio 2019-11-08 19:53:10 UTC
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 1770361]

Comment 3 Huzaifa S. Sidhpurwala 2019-11-12 05:56:26 UTC
External References:

http://www.squid-cache.org/Advisories/SQUID-2019_11.txt

Comment 4 Huzaifa S. Sidhpurwala 2019-11-12 05:56:30 UTC
Mitigation:

Remove 'auth_param digest ...' configuration settings from squid.conf.

Comment 5 Huzaifa S. Sidhpurwala 2019-11-12 05:58:50 UTC
As per upstream:  Nonce tokens contain the raw byte value of a pointer which sits within heap memory allocation. This information reduces ASLR protections and may aid attackers isolating memory areas to target for remote code execution attacks.

Comment 7 Product Security DevOps Team 2020-11-04 02:23:01 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-18679

Comment 8 errata-xmlrpc 2020-11-04 03:31:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4743 https://access.redhat.com/errata/RHSA-2020:4743


Note You need to log in before you can comment on or make changes to this bug.